#! /bin/sh

SRCDIR=/system/add-ons/kernel/drivers
DSTDIR=$HOME/config/add-ons/kernel/drivers
SRCFILE=tulip
DSTFILE=macronix

if [ ! -e $DSTDIR/bin/$DSTFILE ]
then
	alert --stop "Macronix patch is not applied."
	exit 1 
fi

alert --warning "Uninstalling Macronix patch and restoring Tulip driver." Ok Quit > /dev/null || exit

rm $DSTDIR/bin/$DSTFILE
rm $DSTDIR/dev/net/$DSTFILE
gunzip $SRCDIR/bin/$SRCFILE

alert "Done."
